#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gpm
Version		:	1.20.7
Release		:	14.8.0.0%{?dist}

Summary		:	A mouse server for the Linux console
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://www.nico.schottelius.org/software/gpm/

Source0		:	%{name}-%{version}.tar.bz2
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-consolidated-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	make
#BuildRequires	:	emacs

#-----------------------------------------------------------------------------
%description
The gpm (general purpose mouse) daemon tries to be a useful mouse
server for applications running on the Linux console.  Its roots are
in the "selection" package, by Andrew Haylett, and the original code
comes from selection itself. This package is intended as a replacement
for "selection", to provide additional facilities.  From 0.18 onward
gpm supports xterm as well, so you can run mouse-sensitive
applications under X, and you can easily write curses applications
which support the mouse on both the Linux console and xterm. The xterm
code is portable to any U*x flavour (look at sample/README).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/disable-paste
%{_bindir}/display-buttons
%{_bindir}/display-coords
%{_bindir}/get-versions
%{_bindir}/%{name}-root
%{_bindir}/hltest
%{_bindir}/mev
%{_bindir}/mouse-test
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/mouse
%{_sysconfdir}/rc.d/init.d/%{name}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so*
%{_infodir}/%{name}.info.gz
#{_datadir}/emacs/site-lisp/t-mouse.el
#{_datadir}/emacs/site-lisp/t-mouse.elc
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz

%post
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

%postun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  fi

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--sysconfdir=%{_sysconfdir}			\
	--includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	ac_cv_path_emacs=no				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#installing configuration file
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} 						\
	%{name}-ok_addon/sysconfig-mouse		\
	%{buildroot}%{_sysconfdir}/sysconfig/mouse

#installing crond starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} 						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#-----------------------------------------------------------------------------
%changelog
